From 069aa8723c6d1890203b5d1a010102fe5786c935 Mon Sep 17 00:00:00 2001
From: Daniel Baumann <daniel@debian.org>
Date: Sun, 8 Feb 2009 10:27:12 +0100
Subject: Splitting out win32-loader handling into own helper script.

---
 helpers/lh_binary                    |  1 +
 helpers/lh_binary_includes           | 15 ----------
 helpers/lh_binary_win32-loader       | 56 ++++++++++++++++++++++++++++++++++++
 manpages/lh_binary_win32-loader.en.1 | 29 +++++++++++++++++++
 manpages/live-helper.en.7            |  2 ++
 5 files changed, 88 insertions(+), 15 deletions(-)
 create mode 100755 helpers/lh_binary_win32-loader
 create mode 100644 manpages/lh_binary_win32-loader.en.1

diff --git a/helpers/lh_binary b/helpers/lh_binary
index 30d2414..470cae0 100755
--- a/helpers/lh_binary
+++ b/helpers/lh_binary
@@ -58,6 +58,7 @@ lh_binary_syslinux ${*}
 lh_binary_yaboot ${*}
 lh_binary_silo ${*}
 lh_binary_disk ${*}
+lh_binary_win32-loader ${*}
 lh_binary_includes ${*}
 lh_binary_local-includes ${*}
 lh_binary_local-hooks ${*}
diff --git a/helpers/lh_binary_includes b/helpers/lh_binary_includes
index eefa31a..e37cc61 100755
--- a/helpers/lh_binary_includes
+++ b/helpers/lh_binary_includes
@@ -159,20 +159,5 @@ then
 	sed -i -e "s|DEBIAN_NAME|${DEBIAN_NAME}|g" -e "s|DEBIAN_DATE|${DEBIAN_DATE}|g" -e "s|DEBIAN_TOOLS|${DEBIAN_TOOLS_TXT}|g" binary/README.txt
 fi
 
-# Copying win32-loader
-if [ "${LH_WIN32_LOADER}" = "enabled" ]
-then
-	case "${LH_ARCHITECTURE}" in
-		amd64|i386)
-			if Find_files /usr/lib/win32-loader/*
-			then
-				cp /usr/lib/win32-loader/* binary
-			else
-				Echo_warning "win32-loader inclusion is enabled but not found, ignoring."
-			fi
-		;;
-	esac
-fi
-
 # Creating stage file
 Create_stagefile .stage/binary_includes
diff --git a/helpers/lh_binary_win32-loader b/helpers/lh_binary_win32-loader
new file mode 100755
index 0000000..c9f8910
--- /dev/null
+++ b/helpers/lh_binary_win32-loader
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# lh_binary_win32-loader(1) - copy win32-loader into binary
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/functions.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'copy win32-loader into binary')"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+Echo_message "Begin copying win32-loader..."
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_win32-loader
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Copying win32-loader
+if [ "${LH_WIN32_LOADER}" = "enabled" ]
+then
+	case "${LH_ARCHITECTURE}" in
+		amd64|i386)
+			if Find_files /usr/lib/win32-loader/*
+			then
+				cp /usr/lib/win32-loader/* binary
+			else
+				Echo_warning "win32-loader inclusion is enabled but not found, ignoring."
+			fi
+		;;
+	esac
+fi
+
+# Creating stage file
+Create_stagefile .stage/binary_win32-loader
diff --git a/manpages/lh_binary_win32-loader.en.1 b/manpages/lh_binary_win32-loader.en.1
new file mode 100644
index 0000000..45fbc6c
--- /dev/null
+++ b/manpages/lh_binary_win32-loader.en.1
@@ -0,0 +1,29 @@
+.TH LH_BINARY_WIN32\-LOADER 1 "2009\-01\-23" "1.0.2" "live\-helper"
+
+.SH NAME
+lh_binary_win32\-loader \- install win32\-loader into binary
+
+.SH SYNOPSIS
+\fBlh_binary_win32\-loader\fR [\fIlive\-helper options\fR]
+
+.SH DESCRIPTION
+lh_binary_win32\-loader is a low\-level command (plumbing) of live\-helper, the Debian Live tool suite. It installs win32\-loader into binary.
+
+.SH OPTIONS
+lh_binary_win32\-loader has no specific options but understands all generic live\-helper options. See \fIlive\-helper\fR(7) for a complete list of all generic live\-helper options.
+
+.SH SEE ALSO
+\fIlh_binary\fR(1)
+.br
+\fIlive\-helper\fR(7)
+.PP
+This program is a part of live\-helper.
+
+.SH HOMEPAGE
+More information about live\-helper and the Debian Live project can be found in the homepage at <\fIhttp://debian\-live.alioth.debian.org/\fR> and in the manual at <\fIhttp://live.debian.net/manual/\fR>.
+
+.SH BUGS
+Report bugs by submitting a bugreport for the live\-helper package in the Debian Bug Tracking System at <\fIhttp://bugs.debian.org/\fR> or write a mail to the mailinglist at <\fIdebian-live@lists.debian.org\fR>.
+
+.SH AUTHOR
+live\-helper was written by Daniel Baumann <\fIdaniel@debian.org\fR> for the Debian project.
diff --git a/manpages/live-helper.en.7 b/manpages/live-helper.en.7
index cbd93b5..bef9299 100644
--- a/manpages/live-helper.en.7
+++ b/manpages/live-helper.en.7
@@ -189,6 +189,8 @@ installs syslinux into binary
 build harddisk binary image
 .IP "\fBlh_binary_usb-hdd\fR(1)" 4
 build binary usb-hdd image
+.IP "\fBlh_binary_win32-loader\fR(1)" 4
+installs win32-loader into binary
 .IP "\fBlh_binary_yaboot\fR(1)" 4
 installs yaboot into binary
 .SS Source commands
-- 
cgit v1.0